> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teleskop.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Label

> Updates a single label. The label to be updated is identified by its `id`.



## OpenAPI

````yaml PATCH /labels/{id}
openapi: 3.1.0
info:
  title: Teleskop API
  version: 1.0.0
  contact:
    name: Teleskop Support
    url: https://teleskop.app/help
    email: support@teleskop.app
servers:
  - url: https://api.teleskop.dev
    description: Production
security:
  - x-api-key: []
tags: []
paths:
  /labels/{id}:
    patch:
      tags:
        - Labels
      summary: Update Label
      description: >-
        Updates a single label. The label to be updated is identified by its
        `id`.
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateLabelDto'
      responses:
        '200':
          description: Label updated successfully
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponseDto'
                  - properties:
                      data:
                        $ref: '#/components/schemas/LabelDto'
                        nullable: true
      security:
        - x-api-key: []
components:
  schemas:
    UpdateLabelDto:
      type: object
      properties: {}
    ApiResponseDto:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
            - error
          example: success
          description: Response status
        statusCode:
          type: number
          example: 200
          description: HTTP status code
        data:
          type: object
          description: Response data
          nullable: true
        message:
          type: string
          example: Request successful
          description: Response message
        metadata:
          type: object
          description: Additional metadata
          nullable: true
      required:
        - status
        - statusCode
        - data
        - message
    LabelDto:
      type: object
      properties:
        name:
          type: string
          description: Name (minimum length 3).
        description:
          type: string
        color:
          type: string
          description: 'Color in hex format (e.g., #RRGGBB or #RGB).'
        id:
          type: string
          example: 0062b94c-9531-45c5-a171-8019b5c39406
          description: Label ID
        creator_id:
          type: object
          example: a76ea981-f007-44e6-b4d7-2dbdc61ce338
          description: Creator ID
        created_at:
          format: date-time
          type: string
          example: '2025-07-29T13:37:12.548Z'
          description: Creator ID
        updated_at:
          format: date-time
          type: string
          example: '2025-07-29T13:37:12.548Z'
          description: Creator ID
      required:
        - name
        - id
        - creator_id
        - created_at
        - updated_at
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````